// AjudNDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ajuda.h"
#include "AjudNDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAjudNDlg dialog


CAjudNDlg::CAjudNDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAjudNDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAjudNDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAjudNDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAjudNDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAjudNDlg, CDialog)
	//{{AFX_MSG_MAP(CAjudNDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAjudNDlg message handlers

BOOL CAjudNDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	
	   // tenta carregar bitmaps
	if ( /*! m_oBmp.LoadBitmaps ( _T ( "BMP_TODOS" ), NULL, NULL ) ||*/
        ! m_oBmpEx.LoadBitmaps ( _T ( "BMP_EXTODOS" ), NULL, NULL ) ) {

		TRACE0 ( "Impossível ler bitmaps.\n ");
		AfxThrowResourceException ();
	}
	
	// define qual controle da caixa de dialogo vai ter qual bitmap
	//VERIFY ( m_oBmp.SubclassDlgItem ( IDC_AJUDA_PERSONAGEM, this ) );
	VERIFY ( m_oBmpEx.SubclassDlgItem ( IDC_AJUDA_EXPERSONAGEM, this ) );

	// muda tamanho dos controles para caber os bitmaps
	//m_oBmp.SizeToContent ();
	m_oBmpEx.SizeToContent ();

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
